View Issue Details

IDProjectCategoryView StatusLast Update
0032806Open CASCADEOCCT:Codingpublic2022-05-05 09:45
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032806: Coding - get rid of unused headers [Contap to Extrema]
DescriptionThis ticket is to clear unused headers in the packages from `Contap` to `Extrema`.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

parent of 0032812 verifiedaml Coding - problem after integration 32806 
parent of 0032827 verifiedkgv Configuration - compilation error on Emscripten SDK 
child of 0032741 newaml Coding - get rid of unused headers 

Activities

git

2022-01-26 18:40

administrator   ~0106609

Branch CR32806 has been created by aml.

SHA-1: 011fa8410c76ae0ac10473adfbf050c5ab5de4f4


Detailed log of new commits:

Author: aml
Date: Wed Jan 12 18:48:35 2022 +0300

    0032806: Coding - get rid of unused headers [Contap to Extrema]

aml

2022-01-27 12:40

developer   ~0106624

Dear Kirill,

Could you take a look at the CR32806 branch?

Jenkins job is:
http://jenkins-test-occt/view/CR32806-master-aml/view/ALL/

git

2022-01-27 14:01

administrator   ~0106627

Branch CR32806 has been updated by kgv.

SHA-1: 0fc6b38193be3ccfc82d590b0c23bfda0b0d6908


Detailed log of new commits:

Author: kgv
Date: Thu Jan 27 14:01:41 2022 +0300

    # amendments

git

2022-01-27 14:02

administrator   ~0106628

Branch CR32806_1 has been created by kgv.

SHA-1: 70aaa60717c908c20d6f9abda06c875debcbb776


Detailed log of new commits:

Author: aml
Date: Wed Jan 12 18:48:35 2022 +0300

    0032806: Coding - get rid of unused headers [Contap to Extrema]

kgv

2022-01-27 14:05

developer   ~0106629

Amendments:

--- a/src/DDF/DDF_BrowserCommands.cxx
+++ b/src/DDF/DDF_BrowserCommands.cxx
...
--- a/src/DrawDim/DrawDim_PlanarDimensionCommands.cxx
+++ b/src/DrawDim/DrawDim_PlanarDimensionCommands.cxx
 #ifdef _MSC_VER
-#include <stdio.h>
 #endif

Unused ifdef block.

--- a/src/Draw/Draw.cxx
+++ b/src/Draw/Draw.cxx
-#include <Standard_WarningDisableFunctionCast.hxx>

Standard_WarningDisableFunctionCast.hxx, Standard_WarningsDisable.hxx, Standard_WarningsRestore.hxx are special headers that should not be touched automatically.

kgv

2022-01-27 14:07

developer   ~0106631

Please raise the patch
- OCCT: branch CR32806_1.

smoskvin

2022-01-28 10:24

administrator   ~0106647

Problems of compilation with debug Debian80-64 and MacOS-x86_64
http://jenkins-test-11.nnov.opencascade.com/view/CR0-WEEK-4_CR0-WEEK-4/view/OCCT%20compile/job/CR0-WEEK-4_CR0-WEEK-4-OCCT-Debian80-64-deb-compile/3/parsed_console/

git

2022-01-28 13:46

administrator   ~0106652

Branch CR32806_1 has been updated by aml.

SHA-1: ebb63c9660dcf028dd2d472ac4f37d92d00f3ce9


Detailed log of new commits:

Author: aml
Date: Fri Jan 28 13:46:04 2022 +0300

    # Fix compilation on IR.

aml

2022-01-28 13:47

developer   ~0106653

Compilation on the IR is restored.

smoskvin

2022-01-29 12:20

administrator   ~0106664

Combination -
OCCT branch : IR-2022-01-28
master SHA - 7109a4ae5843002ea7a35ed2b5aafba7ccef13d4
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-01-28 SHA - 1fcdecce4d5d9ed7b667fcd27ecafe7d444140a3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18541.880000000696 / 18411.29000000044 [+0.71%]
Products
Total CPU difference: 11695.81000000013 / 11647.290000000106 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 20349.546875 / 20285.25 [+0.32%]
Products
Total CPU difference: 13126.203125 / 13132.546875 [-0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-01-29 13:13

administrator   ~0106672

Branch CR32806 has been deleted by mnt.

SHA-1: 0fc6b38193be3ccfc82d590b0c23bfda0b0d6908

git

2022-01-29 13:13

administrator   ~0106673

Branch CR32806_1 has been deleted by mnt.

SHA-1: ebb63c9660dcf028dd2d472ac4f37d92d00f3ce9

Related Changesets

occt: master 7109a4ae

2022-01-12 18:48:35

aml


Committer: smoskvin Details Diff
0032806: Coding - get rid of unused headers [Contap to Extrema] Affected Issues
0032806
mod - src/Contap/Contap_ArcFunction.cxx Diff File
mod - src/Contap/Contap_ArcFunction.hxx Diff File
mod - src/Contap/Contap_ContAna.cxx Diff File
mod - src/Contap/Contap_ContAna.hxx Diff File
mod - src/Contap/Contap_Contour.cxx Diff File
mod - src/Contap/Contap_HContTool.cxx Diff File
mod - src/Contap/Contap_HCurve2dTool.cxx Diff File
mod - src/Contap/Contap_HCurve2dTool.hxx Diff File
mod - src/Contap/Contap_Line.cxx Diff File
mod - src/Contap/Contap_Line.hxx Diff File
mod - src/Contap/Contap_Point.cxx Diff File
mod - src/Contap/Contap_Point.hxx Diff File
mod - src/Contap/Contap_SurfFunction.cxx Diff File
mod - src/Contap/Contap_SurfProps.cxx Diff File
mod - src/Convert/Convert_CircleToBSplineCurve.cxx Diff File
mod - src/Convert/Convert_CircleToBSplineCurve.hxx Diff File
mod - src/Convert/Convert_CompBezierCurves2dToBSplineCurve2d.cxx Diff File
mod - src/Convert/Convert_CompBezierCurves2dToBSplineCurve2d.hxx Diff File
mod - src/Convert/Convert_CompBezierCurvesToBSplineCurve.cxx Diff File
mod - src/Convert/Convert_CompBezierCurvesToBSplineCurve.hxx Diff File
mod - src/Convert/Convert_CompPolynomialToPoles.cxx Diff File
mod - src/Convert/Convert_CompPolynomialToPoles.hxx Diff File
mod - src/Convert/Convert_ConeToBSplineSurface.hxx Diff File
mod - src/Convert/Convert_ConicToBSplineCurve.cxx Diff File
mod - src/Convert/Convert_ConicToBSplineCurve.hxx Diff File
mod - src/Convert/Convert_CylinderToBSplineSurface.hxx Diff File
mod - src/Convert/Convert_ElementarySurfaceToBSplineSurface.hxx Diff File
mod - src/Convert/Convert_EllipseToBSplineCurve.cxx Diff File
mod - src/Convert/Convert_EllipseToBSplineCurve.hxx Diff File
mod - src/Convert/Convert_GridPolynomialToPoles.hxx Diff File
mod - src/Convert/Convert_HyperbolaToBSplineCurve.cxx Diff File
mod - src/Convert/Convert_HyperbolaToBSplineCurve.hxx Diff File
mod - src/Convert/Convert_ParabolaToBSplineCurve.cxx Diff File
mod - src/Convert/Convert_ParabolaToBSplineCurve.hxx Diff File
mod - src/Convert/Convert_PolynomialCosAndSin.cxx Diff File
mod - src/Convert/Convert_SphereToBSplineSurface.hxx Diff File
mod - src/Convert/Convert_TorusToBSplineSurface.hxx Diff File
mod - src/CPnts/CPnts_AbscissaPoint.cxx Diff File
mod - src/CPnts/CPnts_AbscissaPoint.hxx Diff File
mod - src/CPnts/CPnts_MyGaussFunction.hxx Diff File
mod - src/CPnts/CPnts_MyRootFunction.hxx Diff File
mod - src/CPnts/CPnts_UniformDeflection.cxx Diff File
mod - src/CPnts/CPnts_UniformDeflection.hxx Diff File
mod - src/CSLib/CSLib.hxx Diff File
mod - src/CSLib/CSLib_Class2d.cxx Diff File
mod - src/CSLib/CSLib_Class2d.hxx Diff File
mod - src/CSLib/CSLib_NormalPolyDef.hxx Diff File
mod - src/DBRep/DBRep.cxx Diff File
mod - src/DBRep/DBRep.hxx Diff File
mod - src/DBRep/DBRep_Debug.cxx Diff File
mod - src/DBRep/DBRep_DrawableShape.cxx Diff File
mod - src/DBRep/DBRep_Edge.hxx Diff File
mod - src/DBRep/DBRep_Face.hxx Diff File
mod - src/DBRep/DBRep_HideData.hxx Diff File
mod - src/DBRep/DBRep_IsoBuilder.cxx Diff File
mod - src/DBRep/DBRep_IsoBuilder.hxx Diff File
mod - src/DDataStd/DDataStd.cxx Diff File
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff File
mod - src/DDataStd/DDataStd_ConstraintCommands.cxx Diff File
mod - src/DDataStd/DDataStd_DatumCommands.cxx Diff File
mod - src/DDataStd/DDataStd_DrawDisplayCommands.cxx Diff File
mod - src/DDataStd/DDataStd_DrawDriver.cxx Diff File
mod - src/DDataStd/DDataStd_DrawDriver.hxx Diff File
mod - src/DDataStd/DDataStd_DrawPresentation.cxx Diff File
mod - src/DDataStd/DDataStd_DrawPresentation.hxx Diff File
mod - src/DDataStd/DDataStd_NameCommands.cxx Diff File
mod - src/DDataStd/DDataStd_NamedShapeCommands.cxx Diff File
mod - src/DDataStd/DDataStd_ObjectCommands.cxx Diff File
mod - src/DDataStd/DDataStd_TreeBrowser.cxx Diff File
mod - src/DDataStd/DDataStd_TreeBrowser.hxx Diff File
mod - src/DDataStd/DDataStd_TreeCommands.cxx Diff File
mod - src/DDF/DDF.cxx Diff File
mod - src/DDF/DDF.hxx Diff File
mod - src/DDF/DDF_AttributeBrowser.hxx Diff File
mod - src/DDF/DDF_BasicCommands.cxx Diff File
mod - src/DDF/DDF_Browser.cxx Diff File
mod - src/DDF/DDF_BrowserCommands.cxx Diff File
mod - src/DDF/DDF_Data.cxx Diff File
mod - src/DDF/DDF_Data.hxx Diff File
mod - src/DDF/DDF_DataCommands.cxx Diff File
mod - src/DDF/DDF_Transaction.cxx Diff File
mod - src/DDF/DDF_Transaction.hxx Diff File
mod - src/DDF/DDF_TransactionCommands.cxx Diff File
mod - src/DDocStd/DDocStd.cxx Diff File
mod - src/DDocStd/DDocStd.hxx Diff File
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff File
mod - src/DDocStd/DDocStd_DocumentCommands.cxx Diff File
mod - src/DDocStd/DDocStd_DrawDocument.cxx Diff File
mod - src/DDocStd/DDocStd_MTMCommands.cxx Diff File
mod - src/DDocStd/DDocStd_ShapeSchemaCommands.cxx Diff File
mod - src/DDocStd/DDocStd_ToolsCommands.cxx Diff File
mod - src/DNaming/DNaming.cxx Diff File
mod - src/DNaming/DNaming.hxx Diff File
mod - src/DNaming/DNaming_BasicCommands.cxx Diff File
mod - src/DNaming/DNaming_BooleanOperationDriver.cxx Diff File
mod - src/DNaming/DNaming_BooleanOperationDriver.hxx Diff File
mod - src/DNaming/DNaming_BoxDriver.cxx Diff File
mod - src/DNaming/DNaming_BoxDriver.hxx Diff File
mod - src/DNaming/DNaming_CylinderDriver.cxx Diff File
mod - src/DNaming/DNaming_CylinderDriver.hxx Diff File
mod - src/DNaming/DNaming_FilletDriver.cxx Diff File
mod - src/DNaming/DNaming_FilletDriver.hxx Diff File
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff File
mod - src/DNaming/DNaming_Line3DDriver.hxx Diff File
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff File
mod - src/DNaming/DNaming_PointDriver.cxx Diff File
mod - src/DNaming/DNaming_PointDriver.hxx Diff File
mod - src/DNaming/DNaming_PrismDriver.cxx Diff File
mod - src/DNaming/DNaming_PrismDriver.hxx Diff File
mod - src/DNaming/DNaming_RevolutionDriver.cxx Diff File
mod - src/DNaming/DNaming_RevolutionDriver.hxx Diff File
mod - src/DNaming/DNaming_SelectionCommands.cxx Diff File
mod - src/DNaming/DNaming_SelectionDriver.cxx Diff File
mod - src/DNaming/DNaming_SelectionDriver.hxx Diff File
mod - src/DNaming/DNaming_SphereDriver.cxx Diff File
mod - src/DNaming/DNaming_SphereDriver.hxx Diff File
mod - src/DNaming/DNaming_ToolsCommands.cxx Diff File
mod - src/DNaming/DNaming_TransformationDriver.cxx Diff File
mod - src/DNaming/DNaming_TransformationDriver.hxx Diff File
mod - src/DPrsStd/DPrsStd.cxx Diff File
mod - src/DPrsStd/DPrsStd.hxx Diff File
mod - src/DPrsStd/DPrsStd_AISPresentationCommands.cxx Diff File
mod - src/DPrsStd/DPrsStd_AISViewerCommands.cxx Diff File
mod - src/Draft/Draft_EdgeInfo.cxx Diff File
mod - src/Draft/Draft_EdgeInfo.hxx Diff File
mod - src/Draft/Draft_FaceInfo.cxx Diff File
mod - src/Draft/Draft_Modification.cxx Diff File
mod - src/Draft/Draft_Modification.hxx Diff File
mod - src/Draft/Draft_Modification_1.cxx Diff File
mod - src/Draft/Draft_VertexInfo.cxx Diff File
mod - src/Draft/Draft_VertexInfo.hxx Diff File
mod - src/Draw/Draw.cxx Diff File
mod - src/Draw/Draw_Axis2D.cxx Diff File
mod - src/Draw/Draw_Axis2D.hxx Diff File
mod - src/Draw/Draw_Axis3D.hxx Diff File
mod - src/Draw/Draw_BasicCommands.cxx Diff File
mod - src/Draw/Draw_Box.hxx Diff File
mod - src/Draw/Draw_Chronometer.hxx Diff File
mod - src/Draw/Draw_Circle2D.hxx Diff File
mod - src/Draw/Draw_Circle3D.hxx Diff File
mod - src/Draw/Draw_Commands.cxx Diff File
mod - src/Draw/Draw_Display.hxx Diff File
mod - src/Draw/Draw_Drawable2D.hxx Diff File
mod - src/Draw/Draw_GraphicCommands.cxx Diff File
mod - src/Draw/Draw_Grid.hxx Diff File
mod - src/Draw/Draw_Interpretor.cxx Diff File
mod - src/Draw/Draw_Interpretor.hxx Diff File
mod - src/Draw/Draw_Main.cxx Diff File
mod - src/Draw/Draw_Main.hxx Diff File
mod - src/Draw/Draw_MapOfAsciiString.hxx Diff File
mod - src/Draw/Draw_Marker2D.cxx Diff File
mod - src/Draw/Draw_Marker2D.hxx Diff File
mod - src/Draw/Draw_Marker3D.cxx Diff File
mod - src/Draw/Draw_Marker3D.hxx Diff File
mod - src/Draw/Draw_MessageCommands.cxx Diff File
mod - src/Draw/Draw_PloadCommands.cxx Diff File
mod - src/Draw/Draw_Segment2D.cxx Diff File
mod - src/Draw/Draw_Segment2D.hxx Diff File
mod - src/Draw/Draw_Segment3D.cxx Diff File
mod - src/Draw/Draw_Segment3D.hxx Diff File
mod - src/Draw/Draw_Text2D.cxx Diff File
mod - src/Draw/Draw_Text2D.hxx Diff File
mod - src/Draw/Draw_Text3D.cxx Diff File
mod - src/Draw/Draw_Text3D.hxx Diff File
mod - src/Draw/Draw_UnitCommands.cxx Diff File
mod - src/Draw/Draw_Viewer.cxx Diff File
mod - src/Draw/Draw_Viewer.hxx Diff File
mod - src/Draw/Draw_Window.hxx Diff File
mod - src/DrawDim/DrawDim.cxx Diff File
mod - src/DrawDim/DrawDim.hxx Diff File
mod - src/DrawDim/DrawDim_Angle.cxx Diff File
mod - src/DrawDim/DrawDim_Dimension.cxx Diff File
mod - src/DrawDim/DrawDim_Dimension.hxx Diff File
mod - src/DrawDim/DrawDim_Distance.cxx Diff File
mod - src/DrawDim/DrawDim_PlanarAngle.cxx Diff File
mod - src/DrawDim/DrawDim_PlanarAngle.hxx Diff File
mod - src/DrawDim/DrawDim_PlanarDiameter.cxx Diff File
mod - src/DrawDim/DrawDim_PlanarDiameter.hxx Diff File
mod - src/DrawDim/DrawDim_PlanarDimension.cxx Diff File
mod - src/DrawDim/DrawDim_PlanarDimension.hxx Diff File
mod - src/DrawDim/DrawDim_PlanarDimensionCommands.cxx Diff File
mod - src/DrawDim/DrawDim_PlanarDistance.hxx Diff File
mod - src/DrawDim/DrawDim_PlanarRadius.cxx Diff File
mod - src/DrawDim/DrawDim_PlanarRadius.hxx Diff File
mod - src/DRAWEXE/DRAWEXE.cxx Diff File
mod - src/DrawFairCurve/DrawFairCurve_Batten.cxx Diff File
mod - src/DrawFairCurve/DrawFairCurve_Batten.hxx Diff File
mod - src/DrawFairCurve/DrawFairCurve_MinimalVariation.cxx Diff File
mod - src/DrawFairCurve/DrawFairCurve_MinimalVariation.hxx Diff File
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Curve.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Curve2d.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Debug.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Drawable.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Triangulation.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Triangulation2D.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Triangulation2D.hxx Diff File
mod - src/DsgPrs/DsgPrs.cxx Diff File
mod - src/DsgPrs/DsgPrs.hxx Diff File
mod - src/DsgPrs/DsgPrs_AnglePresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_AnglePresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_Chamf2dPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_ConcentricPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_DatumPrs.cxx Diff File
mod - src/DsgPrs/DsgPrs_DatumPrs.hxx Diff File
mod - src/DsgPrs/DsgPrs_DiameterPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_DiameterPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_EllipseRadiusPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_EllipseRadiusPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_FilletRadiusPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_FilletRadiusPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_FixPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_IdenticPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_IdenticPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_LengthPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_LengthPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_MidPointPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_MidPointPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_OffsetPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_OffsetPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_ParalPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_PerpenPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_PerpenPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_RadiusPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_RadiusPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_ShadedPlanePresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_ShadedPlanePresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_ShapeDirPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_SymbPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_SymbPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_SymmetricPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_SymmetricPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_TangentPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_TangentPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_XYZAxisPresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_XYZAxisPresentation.hxx Diff File
mod - src/DsgPrs/DsgPrs_XYZPlanePresentation.cxx Diff File
mod - src/DsgPrs/DsgPrs_XYZPlanePresentation.hxx Diff File
mod - src/ElCLib/ElCLib.hxx Diff File
mod - src/ElSLib/ElSLib.cxx Diff File
mod - src/ElSLib/ElSLib.hxx Diff File
mod - src/Expr/Expr.cxx Diff File
mod - src/Expr/Expr_Absolute.cxx Diff File
mod - src/Expr/Expr_Absolute.hxx Diff File
mod - src/Expr/Expr_ArcCosine.cxx Diff File
mod - src/Expr/Expr_ArcCosine.hxx Diff File
mod - src/Expr/Expr_ArcSine.cxx Diff File
mod - src/Expr/Expr_ArcSine.hxx Diff File
mod - src/Expr/Expr_ArcTangent.cxx Diff File
mod - src/Expr/Expr_ArcTangent.hxx Diff File
mod - src/Expr/Expr_ArgCosh.cxx Diff File
mod - src/Expr/Expr_ArgCosh.hxx Diff File
mod - src/Expr/Expr_ArgSinh.cxx Diff File
mod - src/Expr/Expr_ArgSinh.hxx Diff File
mod - src/Expr/Expr_ArgTanh.cxx Diff File
mod - src/Expr/Expr_ArgTanh.hxx Diff File
mod - src/Expr/Expr_BinaryExpression.cxx Diff File
mod - src/Expr/Expr_BinaryExpression.hxx Diff File
mod - src/Expr/Expr_BinaryFunction.cxx Diff File
mod - src/Expr/Expr_BinaryFunction.hxx Diff File
mod - src/Expr/Expr_Cosh.cxx Diff File
mod - src/Expr/Expr_Cosh.hxx Diff File
mod - src/Expr/Expr_Cosine.cxx Diff File
mod - src/Expr/Expr_Cosine.hxx Diff File
mod - src/Expr/Expr_Difference.cxx Diff File
mod - src/Expr/Expr_Difference.hxx Diff File
mod - src/Expr/Expr_Different.cxx Diff File
mod - src/Expr/Expr_Different.hxx Diff File
mod - src/Expr/Expr_Division.cxx Diff File
mod - src/Expr/Expr_Division.hxx Diff File
mod - src/Expr/Expr_Equal.cxx Diff File
mod - src/Expr/Expr_Equal.hxx Diff File
mod - src/Expr/Expr_Exponential.cxx Diff File
mod - src/Expr/Expr_Exponential.hxx Diff File
mod - src/Expr/Expr_Exponentiate.cxx Diff File
mod - src/Expr/Expr_Exponentiate.hxx Diff File
mod - src/Expr/Expr_FunctionDerivative.cxx Diff File
mod - src/Expr/Expr_FunctionDerivative.hxx Diff File
mod - src/Expr/Expr_GeneralExpression.cxx Diff File
mod - src/Expr/Expr_GeneralExpression.hxx Diff File
mod - src/Expr/Expr_GeneralFunction.cxx Diff File
mod - src/Expr/Expr_GeneralFunction.hxx Diff File
mod - src/Expr/Expr_GeneralRelation.cxx Diff File
mod - src/Expr/Expr_GeneralRelation.hxx Diff File
mod - src/Expr/Expr_GreaterThan.cxx Diff File
mod - src/Expr/Expr_GreaterThan.hxx Diff File
mod - src/Expr/Expr_GreaterThanOrEqual.cxx Diff File
mod - src/Expr/Expr_GreaterThanOrEqual.hxx Diff File
mod - src/Expr/Expr_LessThan.cxx Diff File
mod - src/Expr/Expr_LessThan.hxx Diff File
mod - src/Expr/Expr_LessThanOrEqual.cxx Diff File
mod - src/Expr/Expr_LessThanOrEqual.hxx Diff File
mod - src/Expr/Expr_LogOf10.cxx Diff File
mod - src/Expr/Expr_LogOf10.hxx Diff File
mod - src/Expr/Expr_LogOfe.cxx Diff File
mod - src/Expr/Expr_LogOfe.hxx Diff File
mod - src/Expr/Expr_NamedConstant.hxx Diff File
mod - src/Expr/Expr_NamedExpression.cxx Diff File
mod - src/Expr/Expr_NamedExpression.hxx Diff File
mod - src/Expr/Expr_NamedFunction.cxx Diff File
mod - src/Expr/Expr_NamedFunction.hxx Diff File
mod - src/Expr/Expr_NamedUnknown.cxx Diff File
mod - src/Expr/Expr_NamedUnknown.hxx Diff File
mod - src/Expr/Expr_NumericValue.hxx Diff File
mod - src/Expr/Expr_PolyExpression.cxx Diff File
mod - src/Expr/Expr_PolyExpression.hxx Diff File
mod - src/Expr/Expr_PolyFunction.cxx Diff File
mod - src/Expr/Expr_PolyFunction.hxx Diff File
mod - src/Expr/Expr_Product.cxx Diff File
mod - src/Expr/Expr_Product.hxx Diff File
mod - src/Expr/Expr_RelationIterator.cxx Diff File
mod - src/Expr/Expr_RUIterator.cxx Diff File
mod - src/Expr/Expr_RUIterator.hxx Diff File
mod - src/Expr/Expr_Sign.cxx Diff File
mod - src/Expr/Expr_Sign.hxx Diff File
mod - src/Expr/Expr_Sine.cxx Diff File
mod - src/Expr/Expr_Sine.hxx Diff File
mod - src/Expr/Expr_SingleRelation.cxx Diff File
mod - src/Expr/Expr_SingleRelation.hxx Diff File
mod - src/Expr/Expr_Sinh.cxx Diff File
mod - src/Expr/Expr_Sinh.hxx Diff File
mod - src/Expr/Expr_Square.cxx Diff File
mod - src/Expr/Expr_Square.hxx Diff File
mod - src/Expr/Expr_SquareRoot.cxx Diff File
mod - src/Expr/Expr_SquareRoot.hxx Diff File
mod - src/Expr/Expr_Sum.cxx Diff File
mod - src/Expr/Expr_Sum.hxx Diff File
mod - src/Expr/Expr_SystemRelation.cxx Diff File
mod - src/Expr/Expr_SystemRelation.hxx Diff File
mod - src/Expr/Expr_Tangent.cxx Diff File
mod - src/Expr/Expr_Tangent.hxx Diff File
mod - src/Expr/Expr_Tanh.cxx Diff File
mod - src/Expr/Expr_Tanh.hxx Diff File
mod - src/Expr/Expr_UnaryExpression.cxx Diff File
mod - src/Expr/Expr_UnaryExpression.hxx Diff File
mod - src/Expr/Expr_UnaryFunction.cxx Diff File
mod - src/Expr/Expr_UnaryFunction.hxx Diff File
mod - src/Expr/Expr_UnaryMinus.cxx Diff File
mod - src/Expr/Expr_UnaryMinus.hxx Diff File
mod - src/Expr/Expr_UnknownIterator.cxx Diff File
mod - src/Expr/Expr_UnknownIterator.hxx Diff File
mod - src/ExprIntrp/ExprIntrp_Analysis.cxx Diff File
mod - src/ExprIntrp/ExprIntrp_Analysis.hxx Diff File
mod - src/ExprIntrp/ExprIntrp_Generator.cxx Diff File
mod - src/ExprIntrp/ExprIntrp_Generator.hxx Diff File
mod - src/ExprIntrp/ExprIntrp_GenExp.hxx Diff File
mod - src/ExprIntrp/ExprIntrp_GenFct.cxx Diff File
mod - src/ExprIntrp/ExprIntrp_GenFct.hxx Diff File
mod - src/ExprIntrp/ExprIntrp_GenRel.hxx Diff File
mod - src/ExprIntrp/ExprIntrp_yaccintrf.cxx Diff File
mod - src/Extrema/Extrema_CCLocFOfLocECC.hxx Diff File
mod - src/Extrema/Extrema_CCLocFOfLocECC2d.hxx Diff File
mod - src/Extrema/Extrema_Curve2dTool.hxx Diff File
mod - src/Extrema/Extrema_CurveTool.cxx Diff File
mod - src/Extrema/Extrema_CurveTool.hxx Diff File
mod - src/Extrema/Extrema_ECC.hxx Diff File
mod - src/Extrema/Extrema_ECC2d.hxx Diff File
mod - src/Extrema/Extrema_ELPCOfLocateExtPC.hxx Diff File
mod - src/Extrema/Extrema_ELPCOfLocateExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC.hxx Diff File
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_EPCOfExtPC.hxx Diff File
mod - src/Extrema/Extrema_EPCOfExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_ExtCC.cxx Diff File
mod - src/Extrema/Extrema_ExtCC.hxx Diff File
mod - src/Extrema/Extrema_ExtCC2d.cxx Diff File
mod - src/Extrema/Extrema_ExtCC2d.hxx Diff File
mod - src/Extrema/Extrema_ExtCS.cxx Diff File
mod - src/Extrema/Extrema_ExtCS.hxx Diff File
mod - src/Extrema/Extrema_ExtElC.cxx Diff File
mod - src/Extrema/Extrema_ExtElC.hxx Diff File
mod - src/Extrema/Extrema_ExtElC2d.cxx Diff File
mod - src/Extrema/Extrema_ExtElC2d.hxx Diff File
mod - src/Extrema/Extrema_ExtElCS.hxx Diff File
mod - src/Extrema/Extrema_ExtPC.hxx Diff File
mod - src/Extrema/Extrema_ExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_ExtPElC.hxx Diff File
mod - src/Extrema/Extrema_ExtPElC2d.hxx Diff File
mod - src/Extrema/Extrema_ExtPElS.hxx Diff File
mod - src/Extrema/Extrema_ExtPExtS.cxx Diff File
mod - src/Extrema/Extrema_ExtPRevS.cxx Diff File
mod - src/Extrema/Extrema_ExtPS.cxx Diff File
mod - src/Extrema/Extrema_ExtPS.hxx Diff File
mod - src/Extrema/Extrema_ExtSS.cxx Diff File
mod - src/Extrema/Extrema_ExtSS.hxx Diff File
mod - src/Extrema/Extrema_FuncExtCS.cxx Diff File
mod - src/Extrema/Extrema_FuncExtCS.hxx Diff File
mod - src/Extrema/Extrema_FuncExtSS.cxx Diff File
mod - src/Extrema/Extrema_FuncExtSS.hxx Diff File
mod - src/Extrema/Extrema_FuncPSDist.hxx Diff File
mod - src/Extrema/Extrema_FuncPSNorm.cxx Diff File
mod - src/Extrema/Extrema_FuncPSNorm.hxx Diff File
mod - src/Extrema/Extrema_GenExtCS.cxx Diff File
mod - src/Extrema/Extrema_GenExtPS.cxx Diff File
mod - src/Extrema/Extrema_GenExtSS.cxx Diff File
mod - src/Extrema/Extrema_GenLocateExtCS.cxx Diff File
mod - src/Extrema/Extrema_GenLocateExtCS.hxx Diff File
mod - src/Extrema/Extrema_GenLocateExtPS.cxx Diff File
mod - src/Extrema/Extrema_GenLocateExtPS.hxx Diff File
mod - src/Extrema/Extrema_GenLocateExtSS.cxx Diff File
mod - src/Extrema/Extrema_GenLocateExtSS.hxx Diff File
mod - src/Extrema/Extrema_GlobOptFuncCC.cxx Diff File
mod - src/Extrema/Extrema_GlobOptFuncCC.hxx Diff File
mod - src/Extrema/Extrema_GlobOptFuncConicS.hxx Diff File
mod - src/Extrema/Extrema_GlobOptFuncCQuadric.hxx Diff File
mod - src/Extrema/Extrema_GlobOptFuncCS.cxx Diff File
mod - src/Extrema/Extrema_GlobOptFuncCS.hxx Diff File
mod - src/Extrema/Extrema_HArray1OfPOnCurv.hxx Diff File
mod - src/Extrema/Extrema_HArray1OfPOnSurf.hxx Diff File
mod - src/Extrema/Extrema_HUBTreeOfSphere.hxx Diff File
mod - src/Extrema/Extrema_LocateExtCC.cxx Diff File
mod - src/Extrema/Extrema_LocateExtCC.hxx Diff File
mod - src/Extrema/Extrema_LocateExtCC2d.cxx Diff File
mod - src/Extrema/Extrema_LocateExtCC2d.hxx Diff File
mod - src/Extrema/Extrema_LocateExtPC.hxx Diff File
mod - src/Extrema/Extrema_LocateExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_LocECC.hxx Diff File
mod - src/Extrema/Extrema_LocECC2d.hxx Diff File
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC.hxx Diff File
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC.hxx Diff File
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC.hxx Diff File
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC.hxx Diff File
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC2d.hxx Diff File
mod - src/Extrema/Extrema_POnCurv.hxx Diff File
mod - src/Extrema/Extrema_POnCurv2d.hxx Diff File
mod - src/Extrema/Extrema_POnSurf.hxx Diff File
mod - src/Extrema/Extrema_POnSurfParams.hxx Diff File

Issue History

Date Modified Username Field Change
2022-01-26 18:39 aml New Issue
2022-01-26 18:39 aml Assigned To => aml
2022-01-26 18:40 git Note Added: 0106609
2022-01-26 18:42 aml Relationship added child of 0032741
2022-01-27 12:40 aml Assigned To aml => kgv
2022-01-27 12:40 aml Status new => resolved
2022-01-27 12:40 aml Note Added: 0106624
2022-01-27 14:01 git Note Added: 0106627
2022-01-27 14:02 git Note Added: 0106628
2022-01-27 14:05 kgv Note Added: 0106629
2022-01-27 14:07 kgv Assigned To kgv => bugmaster
2022-01-27 14:07 kgv Status resolved => reviewed
2022-01-27 14:07 kgv Test case number => N/A
2022-01-27 14:07 kgv Note Added: 0106631
2022-01-28 10:24 smoskvin Assigned To bugmaster => aml
2022-01-28 10:24 smoskvin Status reviewed => assigned
2022-01-28 10:24 smoskvin Note Added: 0106647
2022-01-28 13:46 git Note Added: 0106652
2022-01-28 13:47 aml Status assigned => resolved
2022-01-28 13:47 aml Assigned To aml => bugmaster
2022-01-28 13:47 aml Status resolved => reviewed
2022-01-28 13:47 aml Note Added: 0106653
2022-01-29 12:20 smoskvin Status reviewed => tested
2022-01-29 12:20 smoskvin Note Added: 0106664
2022-01-29 13:00 smoskvin Changeset attached => occt master 7109a4ae
2022-01-29 13:00 aml Assigned To bugmaster => aml
2022-01-29 13:00 aml Status tested => verified
2022-01-29 13:00 aml Resolution open => fixed
2022-01-29 13:13 git Note Added: 0106672
2022-01-29 13:13 git Note Added: 0106673
2022-01-29 20:09 kgv Relationship added parent of 0032812
2022-02-10 00:49 kgv Relationship added parent of 0032827
2022-05-05 09:45 kgv Severity minor => integration request